package com.philisense.www.enums;

/**
 * @description: Oss类型
 **/
public enum OssTypeEnum {

    /**
     * 本地存储
     */
    LOCAL(0),
    /**
     * 阿里云
     */
    ALIYUN(1),

    /**
     * 七牛云
     */
    QINIU(2),
    /**
     * 又拍云
     */
    UPYUN(3),

    /**
     * minio
     */
    MINIO(4),

    /**
     * FastDFS
     */
    FASTDFS(5);

    private final int value;

    OssTypeEnum(int value) {
        this.value = value;
    }

    // 由传入的Key值返回对应的 OssTypeEnum
    public static OssTypeEnum getOssTypeEnumByValue(int key) {
        for (OssTypeEnum ossTypeEnum : values()) {
            if (ossTypeEnum.getValue() == key) {
                return ossTypeEnum;
            }
        }
        return null;
    }

    public int getValue() {
        return value;
    }
}
